curl --location 'https://integrations.projectcor.com/v2/integrations/clients' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
},
"id": "SF-ACC-67890",
"name": "Acme Corporation",
"business_name": "Acme Corporation LLC",
"email_contact": "contact@acme.com",
"name_contact": "Jane",
"last_name_contact": "Smith",
"phone": "+1 555-0100",
"website": "https://acme.com",
"description": "Enterprise software solutions provider"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/clients"
payload = {
"metadata": {
"source": "SALESFORCE"
},
"id": "SF-ACC-67890",
"name": "Acme Corporation",
"business_name": "Acme Corporation LLC",
"email_contact": "contact@acme.com",
"name_contact": "Jane",
"last_name_contact": "Smith",
"phone": "+1 555-0100",
"website": "https://acme.com",
"description": "Enterprise software solutions provider"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/clients',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
},
id: 'SF-ACC-67890',
name: 'Acme Corporation',
business_name: 'Acme Corporation LLC',
email_contact: 'contact@acme.com',
name_contact: 'Jane',
last_name_contact: 'Smith',
phone: '+1 555-0100',
website: 'https://acme.com',
description: 'Enterprise software solutions provider'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 25855,
"name": "Acme Corporation",
"business_name": "Acme Corporation LLC",
"email_contact": "contact@acme.com",
"name_contact": "Jane",
"last_name_contact": "Smith",
"phone": "+1 555-0100",
"website": "https://acme.com",
"description": "Enterprise software solutions provider",
"company_id": 1234,
"created_at": "2025-01-10T14:30:00Z",
"updated_at": "2025-01-10T14:30:00Z"
}
{
"error": "ValidationError",
"message": "Missing required field: name",
"code": "ZC002"
}
Clients
Create Client
Creates a new client in your COR instance with external ID mapping
POST
/
v2
/
integrations
/
clients
curl --location 'https://integrations.projectcor.com/v2/integrations/clients' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
},
"id": "SF-ACC-67890",
"name": "Acme Corporation",
"business_name": "Acme Corporation LLC",
"email_contact": "contact@acme.com",
"name_contact": "Jane",
"last_name_contact": "Smith",
"phone": "+1 555-0100",
"website": "https://acme.com",
"description": "Enterprise software solutions provider"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/clients"
payload = {
"metadata": {
"source": "SALESFORCE"
},
"id": "SF-ACC-67890",
"name": "Acme Corporation",
"business_name": "Acme Corporation LLC",
"email_contact": "contact@acme.com",
"name_contact": "Jane",
"last_name_contact": "Smith",
"phone": "+1 555-0100",
"website": "https://acme.com",
"description": "Enterprise software solutions provider"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/clients',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
},
id: 'SF-ACC-67890',
name: 'Acme Corporation',
business_name: 'Acme Corporation LLC',
email_contact: 'contact@acme.com',
name_contact: 'Jane',
last_name_contact: 'Smith',
phone: '+1 555-0100',
website: 'https://acme.com',
description: 'Enterprise software solutions provider'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 25855,
"name": "Acme Corporation",
"business_name": "Acme Corporation LLC",
"email_contact": "contact@acme.com",
"name_contact": "Jane",
"last_name_contact": "Smith",
"phone": "+1 555-0100",
"website": "https://acme.com",
"description": "Enterprise software solutions provider",
"company_id": 1234,
"created_at": "2025-01-10T14:30:00Z",
"updated_at": "2025-01-10T14:30:00Z"
}
{
"error": "ValidationError",
"message": "Missing required field: name",
"code": "ZC002"
}
Creates a new client in your COR instance through the integrations service. The client is mapped to an external ID from your source system for bidirectional synchronization.
Request Body Requirements
All requests require themetadata.source field to identify the integration source.
object
required
Show properties
Show properties
string
required
Integration source identifier. Must be one of:
JIRA, SALESFORCE, ADVERTMIND, QUICKBOOKS, ZAPIER, OKTA, MICROSOFT_DYNAMICS, GITHUB, MICROSOFT_TEAMS, VBS, SAP, GLOBANTstring
required
External client ID from your source system. This ID will be used to reference the client in future operations.
string
required
Client display name
string
Legal business name for contracts and invoicing
string
Primary contact email address
string
Contact person’s first name
string
Contact person’s last name
string
Phone number
string
Website URL
string
Client description
Known Errors
ValidationError— Missing required fields (metadata.source,id, orname)DuplicateExternalIdError— A client with this external ID already exists for this sourceInvalidSourceError— Themetadata.sourcevalue is not a valid integration source
curl --location 'https://integrations.projectcor.com/v2/integrations/clients' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
},
"id": "SF-ACC-67890",
"name": "Acme Corporation",
"business_name": "Acme Corporation LLC",
"email_contact": "contact@acme.com",
"name_contact": "Jane",
"last_name_contact": "Smith",
"phone": "+1 555-0100",
"website": "https://acme.com",
"description": "Enterprise software solutions provider"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/clients"
payload = {
"metadata": {
"source": "SALESFORCE"
},
"id": "SF-ACC-67890",
"name": "Acme Corporation",
"business_name": "Acme Corporation LLC",
"email_contact": "contact@acme.com",
"name_contact": "Jane",
"last_name_contact": "Smith",
"phone": "+1 555-0100",
"website": "https://acme.com",
"description": "Enterprise software solutions provider"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/clients',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
},
id: 'SF-ACC-67890',
name: 'Acme Corporation',
business_name: 'Acme Corporation LLC',
email_contact: 'contact@acme.com',
name_contact: 'Jane',
last_name_contact: 'Smith',
phone: '+1 555-0100',
website: 'https://acme.com',
description: 'Enterprise software solutions provider'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 25855,
"name": "Acme Corporation",
"business_name": "Acme Corporation LLC",
"email_contact": "contact@acme.com",
"name_contact": "Jane",
"last_name_contact": "Smith",
"phone": "+1 555-0100",
"website": "https://acme.com",
"description": "Enterprise software solutions provider",
"company_id": 1234,
"created_at": "2025-01-10T14:30:00Z",
"updated_at": "2025-01-10T14:30:00Z"
}
{
"error": "ValidationError",
"message": "Missing required field: name",
"code": "ZC002"
}
Was this page helpful?
⌘I

